Subject: [arch-d] The six points (was: I-D Action: draft-carpenter-rfced-model-00.txt)

From: S Moonesamy <[email-masked]>
Date: Sun, 30 Aug 2020 04:45:35 -0700

Hi Mirja,

I am replying on a different mailing list as my 
response is not directly related to what is being discussed on RFC Future.

At 04:54 AM 25-08-2020, Mirja Kuehlewind wrote:
>So I'm not sure what exactly you mean by "this 
>whole class of issue" but given the IAB also 
>appoints the ISE and the IRTF chair, as well as 
>reviews RGs, I would actually say that the IAB does already deal with that.
>
>I agree that I would also like to see the IAB 
>focusing more on architecture but I think this 
>is not because the IAB itself is too busy. It 
>depends a lot on the specific people on IAB 
>which topics are discussed and I would 
>charterize the work of the IAB rather as 
>identifying and flagging problem/gaps than 
>developing technology. After all I would say 
>that often members of the IAB are people who are 
>deeply involved in the work in the IETF and 
>would probably do this architectural thinking 
>and analysis anyway but the IAB and IAB program 
>provide a forum to anchor this work and discuss 
>in a group. Progress on these things however 
>often strongly depends on how busy these people 
>are in their day jobs otherwise. However, I 
>believe that's rather a separate topic.
>
>But because the members of the IAB do usually 
>cover a board set of expertise in different 
>areas of the IETF, usually including ex-ADs, 
>working group chairs, and of course document 
>authors, and have experience with interactions 
>for all RFC streams that we have currently, I 
>actually believe that this group of people is 
>well set up for the task. However, I don't 
>necessarily want to argue for the IAB being the 
>right choice but I definitely think it's the 
>better choice than ISOC. What's missing in the 
>current setup is a clear description of responsibilities.

One of the roles of the Internet Architecture 
Board (IAB) is "to perform in-depth reviews of 
particular architectural issues".  The results of 
that is to produce a report which may give advice 
to the IETF community.  Over the years, I don't 
remember seeing (IAB) reports which are used by 
the "IETF community" to resolve architectural 
issues or architectural debates.  I'll mention an 
issue related to the IPv6 standard even though it 
might end up being a distraction.  I did not see 
any "thinking of analysis" from the IAB to 
identify or flag problems or gaps in what became an Internet Standard.

I have seen messages on various topics in which 
it was pointed out that people are busy or that 
the people have day jobs.  It conveys the idea 
that the activities are usually carried out as a hobby.

The responsibilities of the IAB are described in 
six points, with architectural oversight being 
one of them.  One of the points, which is RFC 
Series and IANA, turned into an appointment role 
either because IAB members were busy or for some 
other reason.  I don't recall the IAB doing much 
in policy matters except for the occasional 
statement which would be relevant to one's special interests.

Nowadays, we have the 4+1 internets.  Things like 
that when one takes a one-sided approach to what was once the Internet.

Regards,
S. Moonesamy